#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m;
    scanf("%i %i",&n,&m);
    typedef struct{
        int v;
        int u;
        int d;
    }vaga;
    typedef struct{
        int l;
        int r;
        int x;
    }pitnj;
    vaga a[n];
    pitnj b[m];
    for(int i=0;i<n;i++){
        a[i].v=i+1;
        scanf("%d %d",&a[i].d,&a[i].u);
    }
    for(int i=0;i<m;i++){
        scanf("%d %d %d",&b[i].l,&b[i].r,&b[i].x);
    }
    int br=0;
    for(int i=0;i<m;i++){
        for(int j=0;j<n;j++){
            if(a[j].v>=b[i].l && a[j].v<=b[i].r && b[i].x>=a[j].d && b[i].x<=a[j].u){
                br++;
            }
        }
        printf("%i\n",br);
        br=0;
    }
    return 0;
}